Page MenuHomePhabricator

Something broken in payments-antifraud and payments-initial message generation
Closed, ResolvedPublic1 Story Points

Description

In DonationInterface,
git diff d9967812045c6073ed6ef8943e314371052696ff e0236aa616b099b2a4aa1f677b81ff9fc7c2f90e

Something in there is causing us to send fredge messages with no order_id field. not OK. It has to do with stripping out all the activemq code.

Event Timeline

awight created this task.Aug 13 2015, 11:56 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 11:56 PM
awight set Security to None.Aug 13 2015, 11:56 PM
awight edited a custom field.
awight claimed this task.Aug 14 2015, 1:03 AM
awight moved this task from Backlog to Doing on the Fundraising Sprint Queen board.

Change 231474 had a related patch set uploaded (by Awight):
Restore 'freeform' flag

https://gerrit.wikimedia.org/r/231474

awight moved this task from Doing to Review on the Fundraising Sprint Queen board.Aug 14 2015, 1:08 AM

Needs tests to prevent regression.

Change 231474 merged by jenkins-bot:
Restore 'freeform' flag

https://gerrit.wikimedia.org/r/231474

awight closed this task as Resolved.Aug 18 2015, 9:27 PM
awight moved this task from Pending Deployment to Done on the Fundraising Sprint Queen board.